Delete Multiple Products
curl --request DELETE \
--url https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products \
--header 'Content-Type: application/json' \
--header 'REFINE_API_KEY: <api-key>' \
--data '
[
"sku001",
"sku002",
"sku003"
]
'import requests
url = "https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products"
payload = ["sku001", "sku002", "sku003"]
headers = {
"REFINE_API_KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {REFINE_API_KEY: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify(['sku001', 'sku002', 'sku003'])
};
fetch('https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "products uploaded",
"count": 2
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}{
"status": 401,
"message": "Unauthorized",
"time": "2024-06-14T19:21:00Z",
"method": "GET",
"url": "/organizations/a8cd2722-1234-4567-9abc-def123456789/catalogs"
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}Product Operations
Delete Multiple Products
Delete multiple products or all products in a catalog
DELETE
/
organizations
/
{orgId}
/
catalogs
/
{catalogId}
/
products
Delete Multiple Products
Authorizations
API key for authentication
Path Parameters
Organization ID (UUID)
Catalog ID (UUID)
Body
application/json
Array of product IDs to delete. If empty or not provided, ALL products will be deleted.
Example:
["sku001", "sku002", "sku003"]
⌘I